#=============MAIN=============
spring.application.name=boardmate-api

#=============SERVER=============
server.port=8080
server.address=0.0.0.0

#=============SECURITY=============
sec.cors.authorizedHots=*
sec.cors.authorizedMethods=GET,POST,PUT,DELETE,OPTION
sec.cors.authorizedHeader=Authorization,Content-type

#=============MQTT=============
mqtt.broker-url=tcp://test.mosquitto.org:1883
mqtt.client-id=board-mate-client

mqtt.topic=board-mate-test/topic


mqtt.username=yourUsername
mqtt.password=yourPassword
#=============METRICS=============
management.endpoint.health.show-details=always
management.endpoints.web.exposure.include=*
management.prometheus.metrics.export.enabled=true

management.metrics.export.otlp.endpoint=http://prometheus:4318/v1/metrics

#=============DOCUMENTATION=============
springdoc.swagger-ui.path=/docs
springdoc.api-docs.path=/v1/docs

#=============DATABASE=============
spring.mongodb.uri=mongodb://board-mate-user:apx820kcng@mongodb:27017/board-mate-db?authSource=board-mate-db
spring.mongodb.database=board-mate-db